package com.securitycontrol.background.mapper;

import com.securitycontrol.entity.background.dto.VehicleDto;
import com.securitycontrol.entity.background.vo.VehicleVo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 车辆管理
 *
 * @author 黑子
 */
@Repository(value = "VehicleMapper")
public interface VehicleMapper {
    /**
     * 获取车辆
     *
     * @param dto
     * @return
     */
    List<VehicleVo> getVehicleLists(VehicleVo dto);

    /**
     * 新增/修改车辆
     *
     * @param vo
     */
    void addOrUpdateVehicle(VehicleVo vo);

    /**
     * 删除车辆
     *
     * @param dto
     */
    void delVehicleById(VehicleVo dto);

    /**
     * 查询集合
     *
     * @param dto
     * @return
     */
    List<VehicleVo> getLists(VehicleVo dto);

    /**
     * 查询集合
     *
     * @param dto
     * @return
     */
    List<VehicleDto> getListsDto(VehicleDto dto);

    /**
     * 获取车辆入场 离场状态
     * @param value
     * @return String
     * @description
     * @author cwchen
     * @date 2024/4/18 11:00
     */
    String getCarAccessLists(String value);
}
